@import "variables";
@import "functions";
@import "mixins";

body {
  display: flex;
  flex-direction: column;
  padding-bottom: 0;
}

h2 {
  color: theme-color("secondary");
  margin-bottom: 10px;
  font-size: 27px;
  text-transform: uppercase;
  text-align: center;
}

p, a {
  font-size: 19px;
  font-weight: $font-weight-semibold;
}

.content {
  flex-grow: 1;
  @include flex-col(stretch);
  justify-content: center;
  padding: 50px 15px;

  .main-heading {
    padding-top: 0;
  }

  .informations,
  .opening {
    margin-bottom: 40px;
  }

  .informations {
    @include flex-col(center);

    .information {
      @include flex-row(center);
      margin-bottom: 20px;

      img {
        height: 20px;
        width: 20px;
      } 

      p, a {
        line-height: 20px;
        margin-left: 15px;
      }

      a {
        color: theme-color("primary");
        text-decoration: underline;
        transition: $transition;

        &:hover {
          opacity: 0.6;
        }
      }
    }
  }

  .opening {
    @include flex-row(flex-start);
    justify-content: center;

    .days,
    .hours {
      @include flex-col(flex-start);
      line-height: 25px;
    }

    .hours {
      margin-left: 30px;
    }
  }

  .socials {
    @include flex-row(flex-start);
    justify-content: center;

    img {
      height: 50px;
      width: 50px;
    } 

    a {
      margin: 0 10px;
      transition: $transition;

      &:hover {
        opacity: 0.6;
      }
    }
  }

  .contact-form {
    @include flex-col(flex-start);
    height: 100%;

    textarea {
      min-height: 150px;
      transition: 0s;
      flex-grow: 1;
    }    
  }
}